curl --request GET \
--url https://staging.crossmint.com/api/2022-06-09/wallets/{locator}/nfts \
--header 'X-API-KEY: <api-key>'import requests
url = "https://staging.crossmint.com/api/2022-06-09/wallets/{locator}/nfts"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://staging.crossmint.com/api/2022-06-09/wallets/{locator}/nfts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.crossmint.com/api/2022-06-09/wallets/{locator}/nfts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.crossmint.com/api/2022-06-09/wallets/{locator}/nfts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.crossmint.com/api/2022-06-09/wallets/{locator}/nfts")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.crossmint.com/api/2022-06-09/wallets/{locator}/nfts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"chain": "<string>",
"contractAddress": "<string>",
"tokenId": "<string>",
"metadata": {
"attributes": [],
"collection": {},
"description": "<string>",
"image": "<string>",
"animation_url": "<string>",
"name": "<string>"
},
"locator": "<string>",
"tokenStandard": "<string>"
}
]
[
{
"chain": "<string>",
"contractAddress": "<string>",
"tokenId": "<string>",
"metadata": {
"attributes": [],
"collection": {},
"description": "<string>",
"image": "<string>",
"animation_url": "<string>",
"name": "<string>"
},
"locator": "<string>",
"tokenStandard": "<string>",
"subscription": {
"expiresAt": "<ISO_string>"
}
}
]
[
{
"chain": "<string>",
"mintHash": "<string>",
"metadata": {
"name": "<string>",
"description": "<string>",
"image": "<string>",
"attributes": []
},
"locator": "<string>"
}
]
{
"error": "<string>"
}
Get NFTs from Wallet
Retrieves NFTs from a wallet.
API scope required: wallets:nfts.read
curl --request GET \
--url https://staging.crossmint.com/api/2022-06-09/wallets/{locator}/nfts \
--header 'X-API-KEY: <api-key>'import requests
url = "https://staging.crossmint.com/api/2022-06-09/wallets/{locator}/nfts"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://staging.crossmint.com/api/2022-06-09/wallets/{locator}/nfts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.crossmint.com/api/2022-06-09/wallets/{locator}/nfts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.crossmint.com/api/2022-06-09/wallets/{locator}/nfts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.crossmint.com/api/2022-06-09/wallets/{locator}/nfts")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.crossmint.com/api/2022-06-09/wallets/{locator}/nfts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"chain": "<string>",
"contractAddress": "<string>",
"tokenId": "<string>",
"metadata": {
"attributes": [],
"collection": {},
"description": "<string>",
"image": "<string>",
"animation_url": "<string>",
"name": "<string>"
},
"locator": "<string>",
"tokenStandard": "<string>"
}
]
[
{
"chain": "<string>",
"contractAddress": "<string>",
"tokenId": "<string>",
"metadata": {
"attributes": [],
"collection": {},
"description": "<string>",
"image": "<string>",
"animation_url": "<string>",
"name": "<string>"
},
"locator": "<string>",
"tokenStandard": "<string>",
"subscription": {
"expiresAt": "<ISO_string>"
}
}
]
[
{
"chain": "<string>",
"mintHash": "<string>",
"metadata": {
"name": "<string>",
"description": "<string>",
"image": "<string>",
"attributes": []
},
"locator": "<string>"
}
]
{
"error": "<string>"
}
[
{
"chain": "<string>",
"contractAddress": "<string>",
"tokenId": "<string>",
"metadata": {
"attributes": [],
"collection": {},
"description": "<string>",
"image": "<string>",
"animation_url": "<string>",
"name": "<string>"
},
"locator": "<string>",
"tokenStandard": "<string>"
}
]
[
{
"chain": "<string>",
"contractAddress": "<string>",
"tokenId": "<string>",
"metadata": {
"attributes": [],
"collection": {},
"description": "<string>",
"image": "<string>",
"animation_url": "<string>",
"name": "<string>"
},
"locator": "<string>",
"tokenStandard": "<string>",
"subscription": {
"expiresAt": "<ISO_string>"
}
}
]
[
{
"chain": "<string>",
"mintHash": "<string>",
"metadata": {
"name": "<string>",
"description": "<string>",
"image": "<string>",
"attributes": []
},
"locator": "<string>"
}
]
{
"error": "<string>"
}
Authorizations
API key required for authentication
Path Parameters
The wallet, as <chain>:<address>, email:<email>:<chain> or userId:<userId>:<chain>.
"polygon:0x1234567890123456789012345678901234567890"
Query Parameters
Page number, starting at 1.
^\d+$Number of items per page.
^\d+$Filter NFTs by contract address. Can be a single address or an array of addresses.
Filter NFTs by token ID
"123"
Response
Returns an array of NFTs in the wallet
The blockchain chain
abstract, abstract-testnet, apechain, aptos, arbitrum, arbitrum-sepolia, arbitrumnova, arc, arc-testnet, astar-zkevm, avalanche, avalanche-fuji, base, base-goerli, base-sepolia, bsc, bsc-testnet, celo, celo-sepolia, chiliz, chiliz-spicy-testnet, coti, coti-testnet, curtis, ethereum, ethereum-goerli, ethereum-sepolia, flow, flow-testnet, hedera, hedera-testnet, hypersonic-testnet, lightlink, lightlink-pegasus, mantle, mantle-sepolia, mode, mode-sepolia, optimism, optimism-goerli, optimism-sepolia, plume, plume-testnet, polygon, polygon-amoy, polygon-mumbai, rari, rari-testnet, robinhood-chain, robinhood-chain-testnet, scroll, scroll-sepolia, sei-atlantic-2-testnet, sei-pacific-1, shape, shape-sepolia, skale-nebula, skale-nebula-testnet, solana, soneium, soneium-minato-testnet, space, space-testnet, stellar, story, story-testnet, sui, tempo, tempo-testnet, u2u-nebulas, u2u-solaris, verify-testnet, viction, viction-testnet, world-chain, world-chain-sepolia, xai, xai-sepolia-testnet, xion, zenchain-testnet, zkatana, zkyoto, zora, zora-goerli, zora-sepolia "ethereum"
The unique locator for the token
"ethereum:0x1234567890123456789012345678901234567890:123"
EVM only. The address of the token contract.
"0x1234567890123456789012345678901234567890"
Solana only. Whether the token is a compressed NFT.
Whether the token is marked as spam
NFT metadata including name, description, image, and attributes
Show child attributes
Show child attributes
Solana only. The mint address of the token.
"7EYnhQoR9YM3N7UoaKRoA44Uy8JeaZV3qyouov87awMs"
Subscription information if the token has subscription properties
Show child attributes
Show child attributes
EVM only. The ID of the token in its contract.
"123"
The standard that the token follows on its chain.
erc-1155, erc-5643, erc-721, metaplex-core, metaplex-core-compressed, metaplex-token-metadata "erc-721"
[
{
"chain": "ethereum",
"isSpam": false,
"locator": "ethereum:0x1234567890123456789012345678901234567890:123",
"metadata": {
"attributes": [
{
"trait_type": "Rarity",
"value": "Legendary"
},
{ "trait_type": "Level", "value": 10 }
],
"description": "An example NFT",
"image": "https://example.com/image.png",
"name": "Example NFT"
}
}
]
Was this page helpful?

